• We would like to invite you to check out the latest 1.0 alpha versions. You can read more about what's new here. Please note, that this is still an early release and will contain new bugs ¯\_(ツ)_/¯
  • If you need help or want to discuss things, you now can also join us on our Discord Server!

Sinusbot connected nicht

cooorny

Active Member
Hallo alle zusammen ich habe leider meinen Teamspeak auf Version 3.1.x aktualisiert bevor ich gelesen habe das diese version nicht kompatibel mit dem Bot ist
Laut dem Wiki benötige ich lediglich den ts3client unter der Version 3.X diese hab ich somit auch getan und den bot neu installiert mit der angegeben Version aus dem Wiki.
doch leider trotz mehrmaliger neu instalation verbindet sich der Bot nicht mehr mit meinem Teamspeak -> ebenfalls auf meinem Vserver gehostet.
ich habe hier mal einen Auszug

TS>Crashdump ENABLED, directory is: /opt/ts3soundboard/data/ts3/c942c321-b957-47c2-af95-a1ce5856d45e/06c116ad-932c-405b-a67d-115a97b8537d/crashdumps
2018/02/22 09:40:12 c942c321 06c116ad DEBUG TS>DUMP defined! Dumpdir is: /opt/ts3soundboard/data/ts3/c942c321-b957-47c2-af95-a1ce5856d45e/06c116ad-932c-405b-a67d-115a97b8537d/crashdumps
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO | | |TeamSpeak 3 Client 3.0.18.2 (2015-10-22 11:14:48)
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO | | |SystemInformation: Linux 2.6.32-48-pve #1 SMP Fri Dec 23 10:22:54 CET 2016 x86_64 Binary: 64bit
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO | | |Using hardware aes
2018/02/22 09:40:12 X [MAIN] New connection
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |ERROR |PulseAudio | |failed to connect to pulse audio server
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |ERROR |PulseAudio | |pa_context_connect failed
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |ERROR |SoundBckndIntf| |/opt/ts3soundboard/TeamSpeak3-Client-linux_amd64/soundbackends/libpulseaudio_linux_amd64.so error: INIT_PA_IMPL
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO | | |Loading plugin: libclientquery_plugin
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO | | |Loading plugin: liblua_plugin
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO | | |Loading plugin: libsoundbot_plugin
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO | | |Loading plugin: libtest_plugin
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO |Query | |listening on 127.0.0.1:25639
2018/02/22 09:40:12 c942c321 06c116ad INFO TS |INFO | | |Api version is not compatible for plugin: /opt/ts3soundboard/TeamSpeak3-Client-linux_amd64/plugins/libsoundbot_plugin.so
2018/02/22 09:40:13 X [MAIN] New connection
2018/02/22 09:40:13 c942c321 06c116ad DEBUG TS>ClientQueryPlugin: currentServerConnectionChanged 1 (0)
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |ClientUI | |Failed to init text to speech engine
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |ClientUI | |Qt version: 5.5.0
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |ClientUI | |Using configuration location: /opt/ts3soundboard/data/ts3/c942c321-b957-47c2-af95-a1ce5856d45e/06c116ad-932c-405b-a67d-115a97b8537d/settings.db
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |ClientUI | |ts3server: **.***.***.**?port=9987&nickname=bot&password=&channel=&channelpassword=
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |ClientUI |1 |Connect to server: **.***.***.**
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |ClientUI |1 |Blacklist check ok
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |ClientUI |1 |Initiating connection: **.***.***.**:9987 **.***.***.**
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |PlaySoundSet | |Found invalid playback device 'SinusBot', using default device 'ts3.alsa.dummy.playbackdefault
2018/02/22 09:40:13 c942c321 06c116ad DEBUG TS>AA ts3.alsa.dummy.playbackdefault 5
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |ERROR |ALSA | |snd_pcm_open: No such file or directory
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |ERROR |SoundBckndIntf| |/opt/ts3soundboard/TeamSpeak3-Client-linux_amd64/soundbackends/libalsa_linux_amd64.so error: ALSA
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |INFO |CapSoundSet | |Found invalid capture device 'SinusBot', using default device 'ts3.alsa.dummy.capturedefault
2018/02/22 09:40:13 c942c321 06c116ad DEBUG TS>AA ts3.alsa.dummy.capturedefault 5
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |ERROR |ALSA | |snd_pcm_open: No such file or directory
2018/02/22 09:40:13 c942c321 06c116ad INFO TS |ERROR |SoundBckndIntf| |/opt/ts3soundboard/TeamSpeak3-Client-linux_amd64/soundbackends/libalsa_linux_amd64.so error: ALSA
2018/02/22 09:40:14 c942c321 06c116ad INFO TS |INFO |ClientUI |1 |Connect status: Connecting
2018/02/22 09:40:14 c942c321 06c116ad INFO TS |INFO |ClientUI |1 |Connect status: Disconnected
2018/02/22 09:40:14 c942c321 06c116ad INFO TS |INFO |ClientUI | |Last update check was: Tue Jan 1 00:00:01 2019
2018/02/22 09:40:14 c942c321 06c116ad INFO TS |INFO | | |Statistics report: Not yet, next report on Mon Mar 12 09:20:03 2018
2018/02/22 09:40:36 c942c321 06c116ad DEBUG Storing configuration.

lasst euch nicht irritieren ich habe meine Server IP mit * ersetzt =)

ich hoffe ihr könnt mir helfen bevor ich den Teamspeak aktualisiert habe lief alles reibunglos ich denke nicht das es an fehlender software liegt sondern iwo etwas unkompatibel sein könnte
 

flyth

is reticulating splines
Staff member
Developer
Contributor
Der Bot ist schon seit geraumer Zeit mit TS3.1 kompatibel. Wo hast du die Information her, dass er es nicht ist? Dann korrigieren wir das dort.

Nutze also einfach die neuste Version mit der neusten TS Version :)
 

cooorny

Active Member
im Wiki lese ich das moment ich kopiere es mal herraus ^^

klick

As the SinusBot is not yet compatible with TeamSpeak Client 3.1+, you might want to downgrade if you upgraded to 3.1 by accident.
ok ich versuche es schnell nochmal mit dem aktuellen download und melde mich gleich noch einmal
 

cooorny

Active Member
Der Bot ist schon seit geraumer Zeit mit TS3.1 kompatibel. Wo hast du die Information her, dass er es nicht ist? Dann korrigieren wir das dort.

Nutze also einfach die neuste Version mit der neusten TS Version :)
Ok jetzt klappt es da hab ich wohl irgendwo einen fehler gemacht ^^ ABBER ich habe noch etwas erkannt in der instalations beschreibung und zwar

Make sure that the TS3Path is correct (if you followed this tutorial step by step, it should already match):
TS3Path = "/opt/sinusbot/TeamSpeak3-Client-linux_amd64/ts3client_linux_amd64"
wen man in die config.ini rein geht steht dort noch
TS3Path = "/opt/Ts3soundboard/TeamSpeak3-Client-linux_amd64/ts3client_linux_amd64"
 

flyth

is reticulating splines
Staff member
Developer
Contributor
Vielen Dank für die Infos, das ziehen wir in Kürze dann nach :)
 

thesolas

Member
Also wenn ich versuche das neueste Teamspeak für den Bot zu nutzen, kann ich das Sinusbot Audio Device nicht mehr als Mikrofon wählen :/ da steht dann Invalid dahinter.. bis vor kurzem ging er noch :/
Edit: Hat sich erledigt, musste einfach nur die neuste version finden.. neuste version die man in der download sektion runterladen konnte war 0.9.21.. und irgendwo.. ich weiß nicht wo hab ich jetzt eine version 0.11.0 hergekriegt.. mit der ging es dann.. ich bin jetzt echt verwirrt.. Und tut mir leid das ich nicht auf Groß- und Kleinschreibung achte. Um halb 2 Uhr morgens hab ich noramlerweise besseres zu tun xD
 
Last edited:
Top